local mod = ...



-- Default Balancing (event list) ---------------------------------------------------------------------------------------------
mod:overrideAsset({
    Id = "DEFAULT_BALANCING",
    EventList = {
        Action = "APPEND",
        "EVENT_FIRE_TUTORIAL",
    }
})



-- Event ---------------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "EVENT",
    Id = "EVENT_FIRE_TUTORIAL",
    IsInMainPool = false, -- the main pool seems to suppress itself until the first Weather event fires, so custom events should be outside the main pool
    IsRecurrent = false,
    DaysBetweenOccurences = nil,
    DaysToFirst = 1,
    Delay = 10,
	ConditionList = {
		{
            DataType = "GAME_CONDITION_VILLAGER_STATUS_REACHED",
            AssetVillagerStatus = "NEWCOMER",
            NumberRequired = 25
		}
	},
	ActionList = {
        {
            DataType = "ACTION_SHOW_NARRATIVE_PANEL",
            NarrativePanelData = {
                DataType = "DATA_NARRATIVE_PANEL",
                Title = "EVENT_FIRE_TUTORIAL_TITLE",
                Description = "EVENT_FIRE_TUTORIAL_DESC",
                PanelVisual = "ILLUSTRATION_ESTATE_LABOR",
            },
            ChoiceList = {
                {
                    DataType = "EVENT_CHOICE",
                    ShortName = "EVENT_FIRE_OK",
                    EventActionList = {
                        {
                            DataType = "EVENT_ACTION_IGNORE"
                        },
                    },
                }
            },
        },
    },
})
